From cef63853d2ea3ef1d1bf119933f854e95fe9ad28 Mon Sep 17 00:00:00 2001
From: Ilias Apalodimas <ilias.apalodimas@linaro.org>
Date: Thu, 9 Nov 2023 16:17:34 +0200
Subject: [PATCH] u-boot: rockpi4: add optee and reserved memory nodes

The default DT doesn't contain those. Since we are uing OPTEE
for EFI variables and an fTPM add the relevant nodes for optee and its
reserved memory.

It's worth noting that we disable the static shared memory during
complilation no nodes are needed for that

Signed-off-by: Ilias Apalodimas <ilias.apalodimas@linaro.org>
---
 arch/arm/dts/rk3399-rock-pi-4.dtsi | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

Upstream-Status: Pending

diff --git a/arch/arm/dts/rk3399-rock-pi-4.dtsi b/arch/arm/dts/rk3399-rock-pi-4.dtsi
index b28888ea9262..c03d7d7bd4b8 100644
--- a/arch/arm/dts/rk3399-rock-pi-4.dtsi
+++ b/arch/arm/dts/rk3399-rock-pi-4.dtsi
@@ -128,6 +128,24 @@
 		regulator-max-microvolt = <1400000>;
 		vin-supply = <&vcc5v0_sys>;
 	};
+
+	firmware {
+		optee {
+		    compatible = "linaro,optee-tz";
+		    method = "smc";
+		};
+	};
+
+	reserved-memory {
+	    #address-cells = <2>;
+	    #size-cells = <2>;
+	    ranges;
+
+	    optee@0x30000000 {
+		reg = <0x0 0x30000000 0x0 0x02000000>;
+		no-map;
+	    };
+	};
 };

 &cpu_l0 {
--
2.40.1

